library(biomaRt)
ensembl <- useMart("ensembl", dataset = "hsapiens_gene_ensembl")
gene_list <- c('RUVBL1', 'TRIP13', 'COL1A1', 'NDRG2', 'MCM2', 'DUOX1', 'FSCN1',
               'TMPRSS11E', 'ANO1', 'IGFBP3', 'TIAM1', 'GPX3', 'HOPX', 'CFD',
               'PPP1R3C', 'TMPRSS11D', 'COL5A2', 'IL1RN', 'LYPD3', 'SLURP1', 'MYH10',
               'SERPINB2', 'TSPAN6', 'SIM2', 'ALOX12', 'TYMP', 'SPRR3', 'MMP10',
               'ERCC3', 'EMP1', 'FLG', 'GABRP', 'GALE', 'GALNT1', 'HSPB8', 'HSPBAP1',
               'HSPD1', 'ENTPD6', 'ACPP', 'AIM2', 'ALDH9A1', 'AQP3', 'ATP6V1D',
               'ZNF185', 'CES2', 'CH25H', 'CLIC3', 'CYP4B1', 'CRISP3', 'CRNN')

ensembl_ids <- getBM(attributes = c("ensembl_gene_id", "external_gene_name"),
                     filters = "external_gene_name",
                     values = gene_list,
                     mart = ensembl)

print(ensembl_ids)